use axum::routing::{get, get_service};
use routes::scripts::{get_script_by_id, get_scripts};
use sqlx::SqlitePool;
use tower_http::services::ServeDir;
mod routes;

pub fn new_router(db: SqlitePool) -> axum::Router {
    axum::Router::new()
        .fallback_service(get_service(ServeDir::new("assets")))
        .route("/scripts", get(get_scripts))
        .route("/scripts/{id}", get(get_script_by_id))
        .with_state(db)
}
